Ubuntu

HP touchpad-disable switch damages mouse and focus capability

Reported by Erik Stambaugh on 2010-03-24
200
This bug affects 41 people
Affects Status Importance Assigned to Milestone
gnome-settings-daemon (Fedora)
New
Undecided
Unassigned
gnome-settings-daemon (Ubuntu)
Medium
Unassigned
Nominated for Lucid by nhasian

Bug Description

Binary package hint: xorg

There's a chance this is more of a kernel bug than an xorg bug. I'm not sure.

My HP Pavilion dv5t has a touchpad-disable button that's sometimes necessary when typing at a long stretch and you don't want to accidentally center-click in the window.

I disabled the touchpad and was not able to make it come back. The little light goes from orange to white, which is an indication that the hardware thinks it's re-enabled.

The problem can manifest in a few different ways.

Sometimes the cursor moves but cannot click or focus anything.
Sometimes the cursor simply will no longer react.
Sometimes restarting GDM does not solve the problem.

This last time, I even fully rebooted and was unable to get the mouse back. I was lucky that a little fiddling with the disable switch and restarting GDM again made it come back.

I'm inclined to think this kernel output is involved:

Mar 24 15:50:06 localhost kernel: [ 786.963086] psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 4 bytes away.
Mar 24 15:50:06 localhost kernel: [ 787.476687] psmouse.c: resync failed, issuing reconnect request

...but it looks like it's happened in my logs at times when this effect was not seen. I believe the rest of my dmesg output is attached, so maybe there's something else in there that's enlightening.

Let me know if you need any more info from me.

ProblemType: Bug
Architecture: amd64
Date: Wed Mar 24 15:56:28 2010
DistroRelease: Ubuntu 10.04
MachineType: Hewlett-Packard HP Pavilion dv5 Notebook PC
NonfreeKernelModules: nvidia wl
Package: xserver-xorg 1:7.5+3ubuntu1
ProcCmdLine: root=UUID=650bb976-0265-4231-9b83-2aecd789085f ro quiet splash crashkernel=384M-2G:64M,2G-:128M
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
SourcePackage: xorg
Uname: Linux 2.6.32-17-generic x86_64
dmi.bios.date: 08/20/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.21
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 3603
dmi.board.vendor: Quanta
dmi.board.version: 02.26
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.21:bd08/20/2009:svnHewlett-Packard:pnHPPaviliondv5NotebookPC:pvrRev1:rvnQuanta:rn3603:rvr02.26:cvnQuanta:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv5 Notebook PC
dmi.product.version: Rev 1
dmi.sys.vendor: Hewlett-Packard
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-17-generic

Erik Stambaugh (squinky) wrote :
Erik Stambaugh (squinky) wrote :

Oh, one thing I forgot to include: sometimes when the mouse goes crazy, I can't even alt-tab to select a window.

Bryce Harrington (bryce) wrote :

I agree it does sound a bit more like a kernel issue. At least they should take a look first, and they can bump it back to xorg if it's not.

affects: xorg (Ubuntu) → linux (Ubuntu)
Erik Stambaugh (squinky) wrote :

This happened again last night. I used the touchpad disable (it's a habit that I'm having trouble breaking), and when I re-enabled it, the mouse could move around, but I couldn't type anywhere or register clicks on anything.

I had to break out into a console (ctrl-alt-f1), from which I tried doing a gdm restart, which didn't help. I rebooted, and when the machine came up, I couldn't move the mouse. Tried another gdm restart (which has worked once in the past), but nothing. Another reboot and I got my mouse back.

Erik Stambaugh (squinky) wrote :

It just happened again and I noticed after the first reboot that the mouse worked in GDM but not in my session.

Erik Stambaugh (squinky) wrote :

It happened again, and this time I'm pretty sure it's not a kernel issue.

After a reboot, I lost the ability to move the mouse cursor, except it was working in GDM. This time additional reboots are not fixing it.

However, I launched the xterm-only session from GDM, and was able to launch Nautilus and my panels and any number of regular apps I use without issue. The mouse works fine. But if I go back to a regular or failsafe GNOME session, the mouse freezes up again. Restart GDM, and I can go back into an xterm session and the mouse comes back.

This bug is most likely in one of the background tasks that's launched by gnome-session, and definitely (from what I can tell) not in the kernel.

Erik Stambaugh (squinky) wrote :

Update: It's definitely gnome-settings-daemon.

Erik Stambaugh (squinky) wrote :

Attaching output from gnome-settings-daemon

nhasian (nhasian) wrote :

I experience this problem as well on both my HP dv6500 with 32bit Lucid and HP 9500 with 64bit Ubuntu Lucid Lynx. Not only do you lose Mouse input, but also keyboard input as well if you toggle the touchpad on/off switch. NOTE: I can still switch to another virtual terminal with Control-Alt-F1 and do a clean shutdown/restart, but it may take several restart attempts and fiddling with the touchpad's on/off switch before it starts functioning properly.

Please also note that when the problem occurs, the touchpad works at the GDM screen but STOPS working immediately after signing in with a username and password.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Erik,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Download full text (4.2 KiB)

i can confirm that the issue is still present with the stable linux kernel
2.6.33. I've experienced this issue on both of my HP laptops (dv6500 and
dv9500) with the 2.6.33 kernel. i have not yet tested 2.6.34rc

On Tue, Apr 27, 2010 at 4:37 PM, Jeremy Foshee
<email address hidden>wrote:

> Hi Erik,
>
> If you could also please test the latest upstream kernel available that
> would be great. It will allow additional upstream developers to examine the
> issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once
> you've tested the upstream kernel, please remove the
> 'needs-upstream-testing' tag. This can be done by clicking on the yellow
> pencil icon next to the tag located at the bottom of the bug description and
> deleting the 'needs-upstream-testing' text. Please let us know your
> results.
>
> Thanks in advance.
>
> [This is an automated message. Apologies if it has reached you
> inappropriately; please just reply to this message indicating so.]
>
>
> ** Tags added: needs-upstream-testing
>
> ** Tags added: kj-triage
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> --
> HP touchpad-disable switch damages mouse and focus capability
> https://bugs.launchpad.net/bugs/546503
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: xorg
>
> There's a chance this is more of a kernel bug than an xorg bug. I'm not
> sure.
>
> My HP Pavilion dv5t has a touchpad-disable button that's sometimes
> necessary when typing at a long stretch and you don't want to accidentally
> center-click in the window.
>
> I disabled the touchpad and was not able to make it come back. The little
> light goes from orange to white, which is an indication that the hardware
> thinks it's re-enabled.
>
> The problem can manifest in a few different ways.
>
> Sometimes the cursor moves but cannot click or focus anything.
> Sometimes the cursor simply will no longer react.
> Sometimes restarting GDM does not solve the problem.
>
> This last time, I even fully rebooted and was unable to get the mouse back.
> I was lucky that a little fiddling with the disable switch and restarting
> GDM again made it come back.
>
> I'm inclined to think this kernel output is involved:
>
> Mar 24 15:50:06 localhost kernel: [ 786.963086] psmouse.c: TouchPad at
> isa0060/serio1/input0 lost synchronization, throwing 4 bytes away.
> Mar 24 15:50:06 localhost kernel: [ 787.476687] psmouse.c: resync failed,
> issuing reconnect request
>
> ...but it looks like it's happened in my logs at times when this effect was
> not seen. I believe the rest of my dmesg output is attached, so maybe
> there's something else in there that's enlightening.
>
> Let me know if you need any more info from me.
>
> ProblemType: Bug
> Architecture: amd64
> Date: Wed Mar 24 15:56:28 2010
> DistroRelease: Ubuntu 10.04
> MachineType: Hewlett-Packard HP Pavilion dv5 Notebook PC
> NonfreeKernelModules: nvidia wl
> Package: xserver-xorg 1:7.5+3ubuntu1
> ProcCmdLine: root=UUID=650bb976-0265-4231-9b83-2aecd789085f ro quiet splash
> crashkernel=384M-2G:64...

Read more...

On Wed, 2010-04-28 at 01:27 +0000, nhasian wrote:
> i can confirm that the issue is still present with the stable linux
> kernel
> 2.6.33. I've experienced this issue on both of my HP laptops (dv6500
> and
> dv9500) with the 2.6.33 kernel. i have not yet tested 2.6.34rc

I am also running an upstream kernel which still has issues. I'll note
that something seems to have changed in Lucid, as prior to Lucid, the
button just handled the hardware, but now it seems to change settings in
gconf and such at the same time. I'm not sure that I understand why
that is; it seems sufficient to me to let the hardware just turn itself
on/off at will.

 --- Mike

--
Even if their crude and anticompetitive business practices don't make
you think about using their software, their use of sweatshops and child
labor should: boycott Microsoft like you would any other amoral child
abuser: http://is.gd/btW8m

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → Medium
Rush (daverush82) wrote :

Same issue here on my DV5T. Worked fine in Karmic, never has in Lucid.
Let me know if I can help testing anything.

Rush

candido (candidornotar) wrote :

Hello, I confirm this bug in HP Pavilion DV5-1132la! Before login work Perfet the problem is within the session in gnome!

Erik Stambaugh (squinky) wrote :

Yeah, this is not a kernel bug. It's in gnome-settings-daemon. I can log in as other users after this happens and everything's fine.

Jeremy Foshee (jeremyfoshee) wrote :

changing to gnome-settings-daemon per the debugging done in previous comments.

~JFo

affects: linux (Ubuntu) → gnome-settings-daemon (Ubuntu)
Changed in gnome-settings-daemon (Ubuntu):
status: Confirmed → Triaged
Michael B. Trausch (mtrausch) wrote :

Only *part* of the bug is in g-s-d. The part about not being able to focus and all that, I'm not sure that has anything to do with g-s-d, just the one "enabled" toggle for the touchpad, but something underlying the toggle is not working and it's likely screen specific. You can toggle the setting in g-s-d manually though and nothing breaks.

Nick Bagios (nickbagi) wrote :

This bug affects me too. My machine is HP pavilion dv5 1299ev, distro: ubuntu 10.04 32bit / 2.6.32.21,
I can confirm that with Karmic I had no problem.

Nick Bagios (nickbagi) wrote :

After update kernel to 2.6.32.22 and gnome-setting-daemon to 2.30.1-0ubuntu1 (official ubuntu update), the problem still exist and now my touchpad it is not working at all. :(

Max (maxencelegrand) wrote :
m6t3 (m6t3) wrote :

I confirm the bug in HP Pavilion dv5 1140 el.
This problem doesn't affect me with jaunty and karmic, only with lucid (32 bit).
I noticed that deleting ~/.gconf/desktop/gnome/peripherals/touchpad/%gconf.xml and restarting the gnome-session the touchpad start working again, but this problem is very annoying when I'm working.

Alberto Russo (valix) wrote :

I confirm the bug in HP Pavilion dv6837el.

hesediel84 (hesediel84) wrote :

Sometimes my touchpad doesn't work sometimes yes. I have an Acer Aspire One 6930G

chris regehr (vichighsocial) wrote :

I have an HP G60-610CA

Every now and then my system boots up, I log in but then...

It goes past a screen requiring my permission (for a script I have written) boots up to the desk top and then nothing can be activated by my mouse! I have to shut down by holding down the power button!

This has resolved itself by me logging in in safe mode, doing nothing, and rebooting normally - but not this time. I can't do anything in Ubuntu and am asking for you help from Windows! Help please.

I recently upgraded to 10.04. The problem did not show up right after the upgrade; however, it never happened in 9.10.

I did something very scientific. I touched all of my keys - pressed them like a monkey - and it works.

Do these bugs usually get resolved?

And does this only affect 10.04?

And can anyone understand why it would go past a permission screen for a script?

chris regehr (vichighsocial) wrote :

I discovered the pressing alt + o restores normal function to the mouse.

chris regehr (vichighsocial) wrote :

well I don't think I actually have the bug related to the touchpad. I removed the script that I wrote from the startup. Now when the computer starts it works fine. I can run the script manually and everything is fine.

o.ot (ores-ot) wrote :

Also affected with an HP dv5-1020es, but everything worked fine on Ubuntu 9.10.

Giacomo (jj2001) wrote :

Also affected my Pavilion DV6373ea, Lucid only.

Also affected my Pavilion DV6690el, Lucid only.

Also affect my HP Pavilion DV6 1308sl.
Strange behaviour: before logging in the touchpad and enable/disable button work fine.

Keytwo (keytwo) wrote :

HP DV6 1120el is affected too, Lucid Lynx

gianni (cannata-gianni) wrote :

same problem
hp pavillon dv 6000
dv6448se

o.ot (ores-ot) wrote :

This problem also affects to Ubuntu 10.10.

scatto (fscattolin) wrote :

I can confirm the same behavior with my HP Pavilion dv6000, Ubuntu 10.04.
Once touchpad's lock button is pressed, menu completely freezes and system must be restarted.
This problem didn't happen in earlier versions of Ubuntu.

scatto (fscattolin) wrote :

The same bug affect also Fedora 13

Jonathan Haller (jonhaller) wrote :

Confirmed: HP DV9900US; Ubuntu Lucid

Makes computer virtually useless. Enable/Disable button functioning normally, touchpad doesnt work at all...

[ 85.570221] psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 4 bytes away.
[ 86.076027] psmouse.c: resync failed, issuing reconnect request
[ 317.897467] psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 4 bytes away.
[ 319.034787] psmouse.c: resync failed, issuing reconnect request.

idomeneas (ipate80) wrote :

Same bug for HP DV7-3110ev with Lucid 64 bit running 2.6.32-24 kernel. If you switch off the touchpad lock button and then you switch it on, the keyboard "freezes" at all, and you need restart if it is possible via usb mouse. The same bug it was reproducible even with Lucid 32 bit 2.6.32-22

elrond (elrond.) wrote :

I think this is duplicate of bug #549727, can anyone confirm?

scatto (fscattolin) wrote :

from bug 549727
"Binary package hint: udev (but not quite sure)

On my Lenovo T60 the Touchpad works great until I login using GDM.

After 2-3 seconds I've pressed "Login" it suddenly stops working and I must use an external USB mouse."

I think it a different problem. In our case touchpad working well before press the enable/ disable switch.. e then the pad still working but the GUI has problems (freeze buttons, etc.)

candyban (tim-habex) wrote :

Similar issue on my dv7. Mouse was working in gdm, but stopped working once logged in.

Fixed the issue by editing the file ~/.gnome/desktop/gnome/peripherals/touchpad/%gconf.xml (as also reported here)

You can run the following command to "fix" the issue (fixed it for me).
<pre>
$ sed -e 's/\(touchpad_enabled.*\)false/\1true/' ~/.gnome/desktop/gnome/peripherals/touchpad/%gconf.xml
$ sudo /etc/init.d/gdm restart
</pre>

candyban (tim-habex) wrote :

I guess I'm getting old as I'm using sed to edit files. There is a nicer way:

From https://bugs.launchpad.net/ubuntu/+bug/549727 (For full options read comment #103)

$ gconftool --type bool --set /desktop/gnome/peripherals/touchpad/touchpad_enabled true

Nick Bagios (nickbagi) wrote :

Yes!!! good news.
Thanks candyban, I followed the method of quirks (https://bugs.launchpad.net/ubuntu/+bug/549727) comment #103 and my dv5 1299ev working!!!

scatto (fscattolin) wrote :

Sorry, I haven't understood if the solution at
(https://bugs.launchpad.net/ubuntu/+bug/549727) fixes the toggle (enable/disable) or the GDM problem.
Thanks!

Sebastian Cardello (guindous) wrote :

Confirmed this bug in dv6-2155dx. And also confirmed that candyban fix makes the touchpad working again. Thanks!!

Steven (steven3000) wrote :

I can confirm this happening on an HP DV 6500 when pressing the touchpad enabla/disable button.

"gconftool --type bool --set /desktop/gnome/peripherals/touchpad/touchpad_enabled true" fixes the problem.

Andrea Amoroso (heiko81) wrote :

yes, it happens on my HP dv5-1027el..Ubuntu Maverick rc..

candido (candidornotar) wrote :

I can confirm this happening on an HP DV5 1132la when pressing the touchpad enabla/disable button.

"gconftool --type bool --set /desktop/gnome/peripherals/touchpad/touchpad_enabled true" does not work in Ubuntu 10.10 final!!! HELP!!

kenny_tmt (kenny-tmt) wrote :

Candido, don't do it as root, just type in the command as user and it will work fine in 10.10.

higuita (higuita) wrote :

i think this bug is a dupe of bug #868400 (or the other way around)

the problem is that synaptic and gnome both disable the touchpad and go out of sync (ie: when one enables the touchpad, the other disables it)

the keyboard issues might be a different bug, probably a apps stealing focous. either way, most people where are describing is the #868400 bug. that bug have a workaround (ie: disable the gnome "disable touchpad" keybinding)

higuita (higuita) wrote :

sorry, it was bug #549727 , not #868400

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers